dweafer 发表于 2022-7-5 19:45:43

任何Lisp GURU“Mleader区域

(defun C:hatchAREA (/ a ss n du)
(setq a 0
       du (getvar "dimunit")
       ss (ssget '((0 . "*HATCH"))))
(if ss
   (progn
   (setq n (1- (sslength ss)))
   (while (>= n 0)
       (command "_.area" "_o" (ssname ss n))
       (setq a (+ a (getvar "area"))
             n (1- n)))
   (alert
       (strcat "The total area of the selected\nobject(s) is "
               (if (or (= du 3)(= du 4)(= du 6))
;
;The following 2 lines translate the area to square inches and feet
;for users using US engineering or architectural units:
;
               (strcat (rtos a 2 2) " square inches,\nor "
                         (rtos (/ a 144.0) 2 3) " square feet.")
;
;In the following line, change the word "units" to whatever units
;you are using - meters, millimeters, feet, etc.
;
               (strcat (rtos a 2 3) " square units.")))))
   (alert "\nNo Polylines selected!"))
(princ)
)
(alert
(strcat "POLYAREA.LSP(c) 1997-2001 Tee Square Graphics"
         "\n\n                Type POLYAREA to start"))
(princ)

 
 
您好,有没有人可以帮我从TEE Square Graphics的lisp中更改代码。
 
此代码在屏幕上显示AutoCAD警报,有没有办法将警报更改为多重引线
 
A如果有人能帮忙,请提前谢谢
页: [1]
查看完整版本: 任何Lisp GURU“Mleader区域